Group: Editors
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pkg spice-mode
%global pkgname Emacs-spice-mode

%if %($(pkg-config emacs) ; echo $?)
%global emacs_version 21.1
%global emacs_lispdir %{_datadir}/emacs/site-lisp
%global emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%global emacs_version %(pkg-config emacs --modversion)
%global emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
%global emacs_startdir %(pkg-config emacs --variable sitestartdir)
%endif

Name:		emacs-%{pkg}
Version:	1.2.25
Release:	alt1_21
Summary:	SPICE Mode for GNU Emacs

License:	GPLv2+
URL:		http://spice-mode.4t.com/
Source0:	http://spice-mode.4t.com/spice-mode-1.2.25.tar.gz
Source1:	%{pkg}-init.el
#Patch provided by shakthi kannan - shakthimaan AT gmail dot com and chitlesh goorah - chitlesh AT gmail dot com
#Fixes free variables and backquote,adds nguntmeg to simulators list and minor fixes
Patch0:		emacs-spice-mode-fix.patch

BuildArch:	noarch
BuildRequires:	emacs emacs26-common
Requires:	emacs >= %{emacs_version} gnucap
Source44: import.info

%description
This package provides an Emacs major mode for editing SPICE decks.

%package el
Group: Editors
Summary:	Source files for %{pkgname} under GNU Emacs
Requires:	%{name} = %{version}-%{release}

%description el
This package contains the elisp source files for 
use with %{pkgname}.

%prep
%setup -q -n %{pkg}
%patch0 -p2

%build
emacs -batch -f batch-byte-compile %{pkg}.el

%install
install -pm 755 -d %{buildroot}%{emacs_lispdir}/%{pkg}/
install -pm 755 -d %{buildroot}%{emacs_startdir}	
install -pm 644 %{pkg}.* %{buildroot}%{emacs_lispdir}/%{pkg}/
install -pm 644 %{SOURCE1} %{buildroot}%{emacs_startdir}


%files
%{!?_licensedir:%global license %%doc}
%doc --no-dereference COPYING
%doc AUTHORS BUGS Changes README test_netlist.cir
%{emacs_lispdir}/%{pkg}/*.elc
%{emacs_startdir}/%{pkg}-init.el
%dir %{emacs_lispdir}/%{pkg}

%files el
%{emacs_lispdir}/%{pkg}/*.el

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_21
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_20
- update to new release by fcimport

* Thu Jun 21 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_19
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_18
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_17
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_16
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_15
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_14
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_13
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_12
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_11
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_10
- fc import

